--- title: "stopServerInstances" slug: "compute-vserver-server-stopserverinstances" updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-server-stopserverinstances" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # stopServerInstances Available in VPC Stop a server instance (VM) in operation. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/stopServerInstances | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `serverInstanceNoList.N` | Array | Required | Server instance number list - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). - Example: `serverInstanceNoList.1=1234&serverInstanceNoList.2=2345` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/stopServerInstances ?regionCode=KR &serverInstanceNoList.1=*****8773 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `stopServerInstancesResponse` | Object | - | Response result - See [ServerInstanceList](/docs/en/common-vapidatatype-serverinstancelist). | | `stopServerInstancesResponse.returnCode` | String | - | Response code | | `stopServerInstancesResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "stopServerInstancesResponse": { "totalRows": 1, "serverInstanceList": [ { "serverInstanceNo": "*****8773", "serverName": "test-***", "serverDescription": "", "cpuCount": 4, "memorySize": 8589934592, "platformType": { "code": "UBD64", "codeName": "Ubuntu Desktop 64 Bit" }, "loginKeyName": "test-***", "publicIpInstanceNo": "*****8824", "publicIp": "211.188.***.***", "serverInstanceStatus": { "code": "RUN", "codeName": "Server RUN status" }, "serverInstanceOperation": { "code": "SHTDN", "codeName": "Server SHUTDOWN OP" }, "serverInstanceStatusName": "shutting down", "createDate": "2025-06-11T17:00:14+0900", "uptime": "2025-06-26T09:56:22+0900", "serverImageProductCode": "SW.VSVR.OS.LNX64.UBNTU.SVR24.G003", "serverProductCode": "SVR.VSVR.CPU.C004.M008.G003", "isProtectServerTermination": true, "zoneCode": "KR-1", "regionCode": "KR", "vpcNo": "***75", "subnetNo": "****6", "networkInterfaceNoList": [ "*****30" ], "initScriptNo": "", "serverInstanceType": { "code": "CPU", "codeName": "CPU Intensive" }, "baseBlockStorageDiskType": { "code": "NET", "codeName": "Network storage" }, "baseBlockStorageDiskDetailType": { "code": "SSD", "codeName": "SSD" }, "placementGroupNo": "", "placementGroupName": "", "memberServerImageInstanceNo": "", "hypervisorType": { "code": "KVM", "codeName": "KVM" }, "serverImageNo": "104630229", "serverSpecCode": "ci4-g3", "eventList": [], "fabricClusterPoolNo": "", "fabricClusterPoolName": "", "fabricClusterMode": "", "fabricClusterNo": "", "fabricClusterName": "" } ], "requestId": "97521430-f667-4b6f-9d03-bf743aa2651a", "returnCode": "0", "returnMessage": "success" } } ```